org.eclipse.lyo.oslc4j.core.resources

## Class ServiceProviderResource

- java.lang.Object
- - org.eclipse.lyo.oslc4j.core.resources.ServiceProviderResource

-     @OslcService(value="http://open-services.net/ns/core#")
      public class ServiceProviderResource
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceProviderResource()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `deregisterServiceProvider(String serviceProviderId)`
    `Compact` | `getCompact(String serviceProviderId)`
    `ServiceProvider` | `getServiceProvider(String serviceProviderId)`
    `ServiceProvider[]` | `getServiceProviders()`
    `javax.ws.rs.core.Response` | `registerServiceProvider(javax.servlet.http.HttpServletRequest httpServletRequest, ServiceProvider serviceProvider)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceProviderResource

          public ServiceProviderResource()

  - ### Method Detail

    - #### getServiceProviders

          @OslcQueryCapability(title="Service Provider Query Capability",
                               label="Service Provider Query",
                               resourceShape="resourceShapes/serviceProvider",
                               resourceTypes="http://open-services.net/ns/core#ServiceProvider",
                               usages="http://open-services.net/ns/core#default")
          public ServiceProvider[] getServiceProviders()

    - #### getServiceProvider

          public ServiceProvider getServiceProvider(String serviceProviderId)

    - #### getCompact

          public Compact getCompact(String serviceProviderId)

    - #### registerServiceProvider

          @OslcCreationFactory(title="Service Provider Creation Factory",
                               label="Service Provider Creation",
                               resourceShapes="resourceShapes/serviceProvider",
                               resourceTypes="http://open-services.net/ns/core#ServiceProvider",
                               usages="http://open-services.net/ns/core#default")
          public javax.ws.rs.core.Response registerServiceProvider(@Context
                                                                                                                         javax.servlet.http.HttpServletRequest httpServletRequest,
                                                                                                                         ServiceProvider serviceProvider)
                                                            throws URISyntaxException

      Throws:
        `URISyntaxException`

    - #### deregisterServiceProvider

          public javax.ws.rs.core.Response deregisterServiceProvider(String serviceProviderId)

Copyright © 2016. All rights reserved.